Bug Hunting Session
Bug 90822 - Descenders cropped
Summary: Descenders cropped
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Thorsten Wagner
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks: MacOS-Wishlist Font-Rendering
  Show dependency treegraph
 
Reported: 2015-04-23 21:30 UTC by Thorsten Wagner
Modified: 2015-04-26 01:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot without patch (17.18 KB, image/tiff)
2015-04-23 21:30 UTC, Thorsten Wagner
Details
Screenshot with patch (17.22 KB, image/tiff)
2015-04-23 21:30 UTC, Thorsten Wagner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Wagner 2015-04-23 21:30:18 UTC
Created attachment 115042 [details]
Screenshot without patch

Bottom portion (descenders) of characters become cropped on OS X (see screenshot 1 attached which shows a detail of Calc's sidebar. The bug is critical because it causes wrong positioning of calc frozen panes for spreadsheads saved with AOO. Furthermore it doesn't look good.

Cause are rounding issues within "vcl/osx/ctfonts.cxx". I will submit a patch with reference to this bug ID in brief. Attached screenshot 2 shows the result.
Comment 1 Thorsten Wagner 2015-04-23 21:30:47 UTC
Created attachment 115043 [details]
Screenshot with patch
Comment 2 Thorsten Wagner 2015-04-23 21:33:30 UTC
Correction: File is "vcl/quartz/ctfonts.cxx"
Comment 3 Joel Madero 2015-04-23 22:20:40 UTC
This is not critical at all. Please don't over-prioritize your own bugs - ideally please don't prioritize your own bugs at all as it's impossible to be objective.

https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Neither of the listed reasons for being "critical" are objectively relevant in making it actually critical. It has really no impact on creating professional quality work from what I can tell and "it doesn't look good" is not enough to make it critical.


Setting to normal (default). Thanks! Also thanks for trying to patch it.
Comment 4 Adolfo Jayme 2015-04-24 05:05:46 UTC
https://gerrit.libreoffice.org/15502/
Comment 5 Commit Notification 2015-04-26 01:59:44 UTC
Thorsten Wagner committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a96d8ead86dc210085f09076fd270f247442f0a

tdf#90822: Descenders cropped

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.